Layerbeat

List your connected sign-in accounts

GET
/v1/auth/social/connections

Lists your connected sign-in providers and whether your account has a password.

Access: User session. API keys aren't supported.

Authorization

cookie__Host-layerbeat-session<token>

Secure HttpOnly same-origin browser session. Cookie-authenticated writes also require an exact Origin and X-CSRF-Token copied from __Host-layerbeat-csrf. Loopback development uses layerbeat.session and layerbeat.csrf.

Response Body

The current user's sign-in methods.

application/json
  1. response
connections*array<>
password_set*boolean
curl -X GET 'https://layerbeat.com/v1/auth/social/connections'
{  "connections": [    {      "provider": "google",      "email": "you@gmail.com",      "created_at": "2026-10-04T01:00:00Z",      "enabled": true    }  ],  "password_set": false}